Add a bank account
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountName: '<string>',
sortCode: '<string>',
accountNumber: '<string>',
routingNumber: '<string>',
iban: '<string>',
swiftBic: '<string>',
currency: 'GBP'
})
};
fetch('https://api.prudra.dev/wallet-infra/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/bank-accounts"
payload = {
"accountName": "<string>",
"sortCode": "<string>",
"accountNumber": "<string>",
"routingNumber": "<string>",
"iban": "<string>",
"swiftBic": "<string>",
"currency": "GBP"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.prudra.dev/wallet-infra/bank-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountName": "<string>",
"sortCode": "<string>",
"accountNumber": "<string>",
"routingNumber": "<string>",
"iban": "<string>",
"swiftBic": "<string>",
"currency": "GBP"
}
'{
"id": "bac_abc123",
"accountName": "Vendlyst Ltd — Operations",
"currency": "GBP",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z"
}Withdrawals
Add a bank account
POST
/
wallet-infra
/
bank-accounts
Add a bank account
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountName: '<string>',
sortCode: '<string>',
accountNumber: '<string>',
routingNumber: '<string>',
iban: '<string>',
swiftBic: '<string>',
currency: 'GBP'
})
};
fetch('https://api.prudra.dev/wallet-infra/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/bank-accounts"
payload = {
"accountName": "<string>",
"sortCode": "<string>",
"accountNumber": "<string>",
"routingNumber": "<string>",
"iban": "<string>",
"swiftBic": "<string>",
"currency": "GBP"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.prudra.dev/wallet-infra/bank-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountName": "<string>",
"sortCode": "<string>",
"accountNumber": "<string>",
"routingNumber": "<string>",
"iban": "<string>",
"swiftBic": "<string>",
"currency": "GBP"
}
'{
"id": "bac_abc123",
"accountName": "Vendlyst Ltd — Operations",
"currency": "GBP",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z"
}Authorizations
Your Prudra API key. Get one at dashboard.prudra.com/settings/api-keys
Body
application/json

